Project

General

Profile

Feature #27069

Implement initial EL8 support

Added by Ewoud Kohl van Wijngaarden over 1 year ago. Updated about 1 month ago.

Status:
Closed
Priority:
Normal
Category:
foreman-installer script
Target version:
Difficulty:
Triaged:
No
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

Within RH there's an internal effort (until CentOS 8 is out when we can build upstream) to investigate running on RHEL8. A few modules have received patches to allow the installation. This requires some minor module updates, but they've been used in nightly and don't change anything on EL7 so should be safe.

Note that this does not work upstream since there's no upstream EL8 packages.


Subtasks

Tracker #29189: installer puppet modules should run on el8ResolvedWilliam Clark

Feature #29190: puppet-pulpcore should run on el8ClosedWilliam Clark
Feature #29192: puppet-apache should run on el8ResolvedWilliam Clark
Feature #29194: puppet-candlepin should run on el8ClosedWilliam Clark
Feature #29195: puppet-certs should run on el8ClosedWilliam Clark
Feature #29196: puppet-concat should run on el8ResolvedWilliam Clark
Feature #29198: puppet-dhcp should run on el8ClosedWilliam Clark
Feature #29210: puppet-dns should run on el8ClosedWilliam Clark
Feature #29211: puppet-extlib should run on el8ClosedWilliam Clark
Feature #29212: puppet-foreman should run on el8ClosedWilliam Clark
Feature #29213: puppet-foreman_proxy should run on el8ClosedWilliam Clark
Feature #29214: puppet-foreman_proxy_content should run on el8ClosedWilliam Clark
Feature #29215: puppet-katello should run on el8ClosedWilliam Clark
Feature #29216: puppet-systemd should run on el8ResolvedWilliam Clark
Feature #29217: puppet-tftp should run on el8ClosedWilliam Clark
Feature #29218: puppet-xinetd should run on el8ResolvedWilliam Clark
Feature #29735: puppet-puppet should run on el8ClosedWilliam Clark

History

#1 Updated by The Foreman Bot over 1 year ago

  • Assignee set to Ewoud Kohl van Wijngaarden
  • Status changed from New to Ready For Testing
  • Pull request https://github.com/theforeman/foreman-installer/pull/366 added

#2 Updated by Tomer Brisker about 1 year ago

  • Target version changed from 1.22.1 to 1.24.0
  • Status changed from Ready For Testing to New
  • Fixed in Releases deleted (1.22.1)

#3 Updated by Ewoud Kohl van Wijngaarden 12 months ago

  • Target version changed from 1.24.0 to 2.0.0

We don't have EL8 packages yet so pushing it to the next release.

#4 Updated by Tomer Brisker 8 months ago

  • Target version changed from 2.0.0 to 2.1.0

This didn't make the cut for 2.0.

#5 Updated by Tomer Brisker 5 months ago

  • Status changed from New to Closed
  • Fixed in Releases 2.1.0 added

Also available in: Atom PDF